Bug 870155 - [rhevm] - Install - yum install rhevm should not pull java-1.7.0-ibm
[rhevm] - Install - yum install rhevm should not pull java-1.7.0-ibm
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Juan Hernández
Jiri Belka
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 12:28 EDT by David Botzer
Modified: 2014-01-13 19:04 EST (History)
12 users (show)

See Also:
Fixed In Version: si24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:00:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Botzer 2012-10-25 12:28:52 EDT
Description of problem:
rhevm installs /usr/lib/jvm/java-1.7.0-ibm-1.7.0.2.0.x86_64/jre/bin/java as default java
Instead of jre-1.7.0-openjdk

Version-Release number of selected component (if applicable):
3.1/si22.1

How reproducible:
always

Steps to Reproduce:
1.install rhevm+dwh+reports
2.check alternatives - update-alternatives --config java

  
Actual results:

Default active java - /usr/lib/jvm/java-1.7.0-ibm-1.7.0.2.0.x86_64/jre/bin/java

the chain of dependecies is this:
   rhevm ->
     jboss-as-modules-eap ->
       sun-istack-commons ->
         ant ->
           java-devel

Expected results:
should be jre-1.7.0-openjdk.x86_64/bin/java

Additional info:
the chain of dependecies is this:
   rhevm ->
     jboss-as-modules-eap ->
       sun-istack-commons ->
         ant ->
           java-devel

Note You need to log in before you can comment on or make changes to this bug.